
/* ============================================= */
/* CSS for control sap.ui.commons/Tree.control   */
/* ============================================= */

/* ============================================= */
/* Gold Reflection Theme      					 */
/* ============================================= */

.sapUiTree{
	background-color: @sapUiExtraLightBG;
	border: 2px solid @sapUiListHighlightColor;
	box-sizing: border-box;
}

.sapUiTreeTransparent {
	background-color: transparent;
	border: none;
}

.sapUiTreeHeader{
	background-color: @sapUiExtraLightBG;
	border: none;
	border-bottom: 2px solid @sapUiListHighlightColor;
	width: auto;
	margin: 0 10px;
}

.sapUiTreeCont{
	border: none;
	top: 28px;
}

.sapUiTreeNode {
	background-image: url(img/tree/TreeNode.gif);
}

/* use the white icon on black background */
.sapUiInverted-CTX .sapUiTreeNode {
	background-image: url(img/tree/TreeNode-inverted.gif);
}

.sapUiTreeNode:hover{
	background-color: @sapUiListHoverBackground;
}

.sapUiTreeNode:focus {
	outline: 1px dashed @sapUiListHighlightColor;
}

.sapUiTreeNodeSelectedParent, .sapUiTreeNodeSelectedParent:Hover, .sapUiTreeNodeSelected, .sapUiTreeNodeSelected:Hover{
	background-color: @sapUiListHighlightColor;
	color: @sapUiTextSelection;
	background-image: url(img/tree/TreeNode-white.gif);
}

.sapUiTreeNodeExpanded {
	background-image: url(img/tree/TreeNode_Exp.gif);
}

/* use the white icon on black background */
.sapUiInverted-CTX .sapUiTreeNodeExpanded {
	background-image: url(img/tree/TreeNode_Exp-inverted.gif)
}

.sapUiTreeNodeExpanded.sapUiTreeNodeSelectedParent,
.sapUiTreeNodeExpanded.sapUiTreeNodeSelectedParent:Hover,
.sapUiTreeNodeExpanded.sapUiTreeNodeSelected,
.sapUiTreeNodeExpanded.sapUiTreeNodeSelected:Hover/*,
.sapUiTreeNodeExpanded.sapUiTreeNode:Hover*/{
	background-image: url(img/tree/TreeNode_Exp-white.gif);
}

.sapUiTreeNodeCollapsed {
	background-image: url(img/tree/TreeNode_Coll.gif);
}

/* use the white icon on black background */
.sapUiInverted-CTX .sapUiTreeNodeCollapsed {
	background-image: url(img/tree/TreeNode_Coll-inverted.gif)
}

.sapUiTreeNodeCollapsed.sapUiTreeNodeSelectedParent,
.sapUiTreeNodeCollapsed.sapUiTreeNodeSelectedParent:Hover,
.sapUiTreeNodeCollapsed.sapUiTreeNodeSelected,
.sapUiTreeNodeCollapsed.sapUiTreeNodeSelected:Hover/*,
.sapUiTreeNodeCollapsed.sapUiTreeNode:Hover*/{
	background-image: url(img/tree/TreeNode_Coll-white.gif);
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite{
	width: 30px;
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiBtnAct,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite:hover,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite:focus{
	background-repeat: no-repeat;
	background-position: center center;
	margin-top: 1px;
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiBtnAct.sapUiTreeCol,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiTreeCol:hover,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiTreeCol:focus{
	background-image: url(img/tree/CollapseAll_Hover.png);
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiTreeCol {
	background-image: url(img/tree/CollapseAll.png);
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiBtnAct.sapUiTreeExp,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiTreeExp:hover,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiTreeExp:focus{
	background-image: url(img/tree/ExpandAll_Hover.png);
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiTreeExp {
	background-image: url(img/tree/ExpandAll.png);
}

.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite > .sapUiBtnIco,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite.sapUiBtnAct > .sapUiBtnIco,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite:hover > .sapUiBtnIco,
.sapUiTreeTbCont > .sapUiBtn.sapUiBtnS.sapUiBtnLite:focus > .sapUiBtnIco{
	display: none;
}
